Bug 387351 - LDAP based contact lists don't work in evolution
LDAP based contact lists don't work in evolution
Product: Fedora
Classification: Fedora
Component: evolution-data-server (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-11-16 13:21 EST by Eric Mertens
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-19 12:57:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Eric Mertens 2007-11-16 13:21:23 EST
Description of problem:
Evolution is not able to search an LDAP based contact list from the contacts
window nor is it able to auto-complete addresses when authoring new mail items.
(Even with the ldap server's entry checked in the autocomplete preferences window)
No error message is given, results are simply not produced. (Other mail clients
like Thunderbird and Claws-mail have no problems connecting to the same server
using the same settings)

Version-Release number of selected component (if applicable):

Additional Info:
no ldap libraries are linked into evolution-data-server nor evolution
Comment 1 Milan Crha 2007-11-19 12:26:15 EST
evolution-data-server links LDAP libraries statically, so it's the reason that
you do not see any "links" to runtime libraries. Can you try to change setup in
address book preferences, on the tab "Details" that you have set proper Search
base and that the Search scope is Sub (it's sometimes better than Search scope
One). Also, when searching (browse LDAP address books is not possible, so one
should always search), then you want to write at least 3 characters (you
probably know, I mentioned it here just in case).

If it's still a problem to obtain any contacts from your LDAP, then there will
be probably any message on the console, either console of evolution, or console
of evolution-data-server. Please try, and attach here an output from each
console. Thanks in advance. (Before you run evolution-data-server on console,
close previous version with command "evolution --force-shutdown", it will close
all evolution related processes). Then run
/usr/libexec/evolution-data-server-1.12 on the console and on the second console
/usr/bin/evolution and try to search your LDAP address book).
Comment 2 Eric Mertens 2007-11-19 12:57:19 EST
Milan Crha,

You were correct that I needed to use the Search Scope "Sub". I believe that
this change only took effect once I restarted evolution-data-server, leading me
to think that it had no effect (the first time I had tried it).

Note You need to log in before you can comment on or make changes to this bug.